
Redmine - Patch #22278

Revision Graph and Table should work with vertical-align: middle

2016-03-17 15:53 - Gregor Schmidt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.2.2   

Description

The revision list and the Raphael based graph next to it, are currently assumed to be vertical-align: top, i.e. the dots representing the

commits are always positioned at the top of the table cell. This is a limitation for theme authors. Planio e.g. restyled the table to use

vertical-align: middle but now the dots are misplaced.

The patch attached inspects the currently used css properties to properly calculate the dot's position. The patch is targeted at current

trunk r15251.

Associated revisions

Revision 15299 - 2016-04-03 14:29 - Jean-Philippe Lang

Revision Graph and Table should work with vertical-align: middle (#22278).

Patch by Gregor Schmidt.

Revision 15300 - 2016-04-03 14:29 - Jean-Philippe Lang

Merged r15299 (#22278).

History

#1 - 2016-03-25 00:55 - Go MAEDA

- Category changed from Themes to UI

Thanks for the patch. Could you show screenshots of the effect of this patch?

#2 - 2016-03-25 13:03 - Gregor Schmidt

- File theme-without-patch.png added

- File theme-with-patch.png added

- File default-with-patch.png added

- File planio-with-patch.png added

Sure, here we go!

For "educational purpose" I've created a simple theme with the following application.css

@import url(../../../stylesheets/application.css);

table.changesets td {

  vertical-align: middle;

}

 Using this theme and the current Redmine trunk, I get the following revision table
https://www.redmine.org/projects/redmine/repository/svn/revisions/15251


theme-without-patch.png 

Using the patch, I get the following
theme-with-patch.png 

while the default theme still looks as expected
default-with-patch.png 

This example theme does not make a lot of sense on its own. It was just created for testing. But e.g. Planio's new design uses vertical-align: middle

for its tables. (Planio already has the patch applied.)
 planio-with-patch.png 

#3 - 2016-03-25 13:57 - Go MAEDA

- Target version set to 3.2.2

Thanks, I understand.

Setting target version to 3.2.2.

#4 - 2016-04-03 14:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

Files

0001-Check-for-vertical-align-when-computing-positions-in.patch 2.28 KB 2016-03-17 Gregor Schmidt

theme-without-patch.png 67.3 KB 2016-03-25 Gregor Schmidt

theme-with-patch.png 67.7 KB 2016-03-25 Gregor Schmidt

default-with-patch.png 67.1 KB 2016-03-25 Gregor Schmidt

planio-with-patch.png 49.3 KB 2016-03-25 Gregor Schmidt
